import { defineStore } from "pinia"
import { reactive, ref } from "vue"

export const useUI = defineStore("ui", () => {
  const snackbar = ref<any>(null)
  const reconnection = reactive({
    notifications: false,
    messages: false,
  })

  const drawer = reactive({
    open: true,
    mini: false,
  })

  const safeArea = reactive({
    top: 0,
    bottom: 0
  })

  function showSnackbar(content: string, opts?: any, timeout = 3000) {
    snackbar.value = {
      ...opts,
      content,
      timeout
    }
  }

  function showErrorSnackbar(content: string, opts?: any) {
   showSnackbar(`Something went wrong... ${content}`, {
     ...opts
   }, 5000)
  }

  return { safeArea, snackbar, drawer, reconnection, showSnackbar, showErrorSnackbar }
})
